Bug 15363 - Bad:поддержка wap-psk rt2500 module
: Bad:поддержка wap-psk rt2500 module
Status: RESOLVED LATER
: ПСПО
(All bugs in ПСПО/hardware)
: snapshot
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-04-15 17:12 by
Modified: 2009-02-10 15:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-15 17:12:13
устройства Asus 106g (usb) и 107g (pcmcia) 
ядра 2.6.18-std-smp-alt12
kernel-image-std-def (это 2.6.24)


# wpa_supplicant -D wext -i 
wlan1 -c /etc/net/ifaces/wlan1/wpa_supplicant.conf -w
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 4 value 0x0 - ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 5 value 0x1 - Trying to associate with 00:17:9a:dc:5e:aa 
(SSID='haw_home_wlan' freq=2412 MHz)
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 5 value 0x1 - Associated with 00:17:9a:dc:5e:aa
WPA: Key negotiation completed with 00:17:9a:dc:5e:aa [PTK=TKIP GTK=TKIP]
CTRL-EVENT-CONNECTED - Connection to 00:17:9a:dc:5e:aa completed (auth) [id=0 
id_str=]
CTRL-EVENT-TERMINATING - signal 2 received
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 5 value 0x0 - ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 4 value 0x0 -

#dmesg
ADDRCONF(NETDEV_UP): wlan1: link is not ready
wlan1: Initial auth_alg=0
wlan1: authenticate with AP 00:17:9a:dc:5e:aa
wlan1: RX authentication from 00:17:9a:dc:5e:aa (alg=0 transaction=2 status=0)
wlan1: authenticated
wlan1: associate with AP 00:17:9a:dc:5e:aa
wlan1: RX AssocResp from 00:17:9a:dc:5e:aa (capab=0x411 status=0 aid=1)
wlan1: invalid aid value 1; bits 15:14 not set
wlan1: associated
wlan1: switched to short barker preamble (BSSID=00:17:9a:dc:5e:aa)
ADDRCONF(NETDEV_CHANGE): wlan1: link becomes ready
wlan1: switched to long barker preamble (BSSID=00:17:9a:dc:5e:aa)
wlan1: no IPv6 routers present
wlan1: deauthenticate(reason=3)
------- Comment #1 From 2008-04-16 15:58:38 -------
да, таково состояние драйвера rt2500.
------- Comment #2 From 2008-04-16 17:52:23 -------
а тут?
https://launchpad.net/ubuntu/hardy/+source/rt2x00/2.0.12+git20071103-3
------- Comment #3 From 2008-04-16 17:53:59 -------
с 2.6.18 не сочетаемо